Bug 1294524 - Skrooge Segmentation fault
Summary: Skrooge Segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: skrooge
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-28 18:26 UTC by Sudhir Khanger
Modified: 2016-01-10 19:24 UTC (History)
4 users (show)

Fixed In Version: skrooge-1.12.5-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-10 19:24:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Sudhir Khanger 2015-12-28 18:26:47 UTC
Description of problem:

-- Backtrace:
Application: Skrooge (skrooge), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
84      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[KCrash Handler]
#6  QWidget::layout (this=0x73746e6f662f6572) at kernel/qwidget.cpp:9780
#7  0x00007f7f4b5f4139 in SKGMainPanel::displayMessage (this=0x55bcf4a5cf00, 
iMessage=..., iType=SKGDocument::Error) at 
../../skgbasegui/skgmainpanel.cpp:2212
#8  0x00007f7f4b5f3bd0 in SKGMainPanel::displayErrorMessage 
(this=this@entry=0x55bcf4a5cf00, iMessage=...) at 
../../skgbasegui/skgmainpanel.cpp:2243
#9  0x00007f7f4b5f5cae in SKGMainPanel::displayErrorMessage (iError=..., 
iAction=iAction@entry=0x0) at ../../skgbasegui/skgmainpanel.cpp:2254
#10 0x00007f7f224c7d8e in SKGFilePlugin::onNew 
(this=this@entry=0x55bcf4f2a960) at 
../../../../plugins/generic/skg_file/skgfileplugin.cpp:300
#11 0x00007f7f224c83f4 in SKGFilePlugin::setupActions 
(this=this@entry=0x55bcf4f2a960, iDocument=<optimized out>, iArgument=...) at 
../../../../plugins/generic/skg_file/skgfileplugin.cpp:151
#12 0x00007f7f4b608701 in SKGMainPanel::SKGMainPanel (this=<optimized out>, 
iSplashScreen=<optimized out>, iDocument=<optimized out>, iArguments=..., 
__in_chrg=<optimized out>, __vtt_parm=<optimized out>) at 
../../skgbasegui/skgmainpanel.cpp:333
#13 0x00007f7f4b5f32b0 in SKGUniqueApplication::newInstance 
(this=0x7fff6b9de7c0) at ../../skgbasegui/skguniqueapplication.cpp:95
#14 0x00007f7f461a1e5b in KUniqueApplicationAdaptor::newInstance 
(this=0x55bcf4bcfb40, asn_id=..., args=...) at 
../../kdeui/kernel/kuniqueapplication.cpp:442
#15 0x00007f7f461a1f0d in KUniqueApplicationAdaptor::qt_static_metacall 
(_o=_o@entry=0x55bcf4bcfb40, _id=_id@entry=0, _a=_a@entry=0x7fff6b9ddd70, 
_c=QMetaObject::InvokeMetaMethod) at ./kuniqueapplication_p.moc:57
#16 0x00007f7f461a2163 in KUniqueApplicationAdaptor::qt_static_metacall 
(_a=0x7fff6b9ddd70, _id=0, _c=QMetaObject::InvokeMetaMethod, 
_o=0x55bcf4bcfb40) at ./kuniqueapplication_p.moc:100
#17 KUniqueApplicationAdaptor::qt_metacall (this=0x55bcf4bcfb40, 
_c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff6b9ddd70) at 
./kuniqueapplication_p.moc:101
#18 0x00007f7f4485a2a5 in QDBusConnectionPrivate::deliverCall 
(this=this@entry=0x55bcf4a7c690, object=object@entry=0x55bcf4bcfb40, msg=..., 
metaTypes=..., slotIdx=4) at qdbusintegrator.cpp:950
#19 0x00007f7f4485b80c in QDBusConnectionPrivate::activateCall 
(this=this@entry=0x55bcf4a7c690, object=0x55bcf4bcfb40, flags=flags@entry=337, 
msg=...) at qdbusintegrator.cpp:856
#20 0x00007f7f4485c52d in QDBusConnectionPrivate::activateObject 
(this=0x55bcf4a7c690, node=..., msg=..., pathStartPos=<optimized out>) at 
qdbusintegrator.cpp:1427
#21 0x00007f7f4485c72b in QDBusActivateObjectEvent::placeMetaCall 
(this=0x55bcf4bc6440) at qdbusintegrator.cpp:1541
#22 0x00007f7f444e1821 in QObject::event (this=this@entry=0x7fff6b9de7c0, 
e=e@entry=0x55bcf4bc6440) at kernel/qobject.cpp:1222
#23 0x00007f7f444cbfac in QCoreApplication::event 
(this=this@entry=0x7fff6b9de7c0, e=e@entry=0x55bcf4bc6440) at 
kernel/qcoreapplication.cpp:1767
#24 0x00007f7f4541400f in QApplication::event (this=0x7fff6b9de7c0, 
e=0x55bcf4bc6440) at kernel/qapplication.cpp:2544
#25 0x00007f7f4540e93c in QApplicationPrivate::notify_helper 
(this=this@entry=0x55bcf4a9d3d0, receiver=receiver@entry=0x7fff6b9de7c0, 
e=e@entry=0x55bcf4bc6440) at kernel/qapplication.cpp:4565
#26 0x00007f7f45415796 in QApplication::notify 
(this=this@entry=0x7fff6b9de7c0, receiver=receiver@entry=0x7fff6b9de7c0, 
e=e@entry=0x55bcf4bc6440) at kernel/qapplication.cpp:4351
#27 0x00007f7f4619a54a in KApplication::notify (this=0x7fff6b9de7c0, 
receiver=0x7fff6b9de7c0, event=0x55bcf4bc6440) at 
../../kdeui/kernel/kapplication.cpp:311
#28 0x00007f7f444c78dd in QCoreApplication::notifyInternal 
(this=0x7fff6b9de7c0, receiver=receiver@entry=0x7fff6b9de7c0, 
event=event@entry=0x55bcf4bc6440) at kernel/qcoreapplication.cpp:955
#29 0x00007f7f444caef6 in QCoreApplication::sendEvent (event=0x55bcf4bc6440, 
receiver=0x7fff6b9de7c0) at kernel/qcoreapplication.h:231
#30 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, 
event_type=event_type@entry=0, data=0x55bcf4a49f20) at 
kernel/qcoreapplication.cpp:1579
#31 0x00007f7f444cb1d3 in QCoreApplication::sendPostedEvents 
(receiver=receiver@entry=0x0, event_type=event_type@entry=0) at 
kernel/qcoreapplication.cpp:1472
#32 0x00007f7f444f7d1e in QCoreApplication::sendPostedEvents () at 
kernel/qcoreapplication.h:236
#33 postEventSourceDispatch (s=0x55bcf4aa7560) at 
kernel/qeventdispatcher_glib.cpp:300
#34 0x00007f7f3d1f7e3a in g_main_dispatch (context=0x55bcf4a952a0) at 
gmain.c:3154
#35 g_main_context_dispatch (context=context@entry=0x55bcf4a952a0) at 
gmain.c:3769
#36 0x00007f7f3d1f81d0 in g_main_context_iterate 
(context=context@entry=0x55bcf4a952a0, block=block@entry=1, 
dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#37 0x00007f7f3d1f827c in g_main_context_iteration (context=0x55bcf4a952a0, 
may_block=may_block@entry=1) at gmain.c:3901
#38 0x00007f7f444f7e8e in QEventDispatcherGlib::processEvents 
(this=0x55bcf4a4b8a0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#39 0x00007f7f454b73e6 in QGuiEventDispatcherGlib::processEvents 
(this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#40 0x00007f7f444c6151 in QEventLoop::processEvents 
(this=this@entry=0x7fff6b9de660, flags=...) at kernel/qeventloop.cpp:149
#41 0x00007f7f444c64c5 in QEventLoop::exec (this=this@entry=0x7fff6b9de660, 
flags=...) at kernel/qeventloop.cpp:204
#42 0x00007f7f444cc069 in QCoreApplication::exec () at 
kernel/qcoreapplication.cpp:1227
#43 0x000055bcf2e5b208 in main (argc=1, argv=0x7fff6b9dea28) at 
../../skrooge/main.cpp:116


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Start skrooge
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sudhir Khanger 2015-12-30 20:54:43 UTC
Version 1.12.5 from Rawhide works fine on F23.

Maybe related. https://bugs.kde.org/show_bug.cgi?id=348030

Comment 2 Fedora Update System 2016-01-02 05:36:29 UTC
skrooge-1.12.5-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ec2ce29d6

Comment 3 Fedora Update System 2016-01-03 03:22:56 UTC
skrooge-1.12.5-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ec2ce29d6

Comment 4 Ken Dyck 2016-01-06 17:10:18 UTC
FWIW, the new package from the testing repository fixes this problem for me.

Comment 5 Fedora Update System 2016-01-10 19:24:38 UTC
skrooge-1.12.5-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.